package org.omg.IOP;

import org.omg.CORBA.TypeCode;
import org.omg.CORBA.portable.OutputStream;
import org.omg.CORBA.portable.InputStream;
import org.omg.CORBA.portable.Streamable;

public final class ServiceContextHolder implements Streamable
{
    public ServiceContext value;
    
    public ServiceContextHolder() {
        this.value = null;
    }
    
    public ServiceContextHolder(ServiceContext value) {
        this.value = null;
        this.value = value;
    }
    
    public void _read(InputStream inputStream) {
        this.value = ServiceContextHelper.read(inputStream);
    }
    
    public void _write(OutputStream outputStream) {
        ServiceContextHelper.write(outputStream, this.value);
    }
    
    public TypeCode _type() {
        return ServiceContextHelper.type();
    }
}
